Subject: Re: [PATCH 2/2] eHEA: Receive SKB Aggregation

From: Jeff Garzik <[email-masked]>
Date: Tue, 10 Jul 2007 13:00:18 -0400

Jan-Bernd Themann wrote:
> This patch enables the receive side processing to aggregate TCP packets within
> the HEA device driver. It analyses the packets already received after an
> interrupt arrived and forwards these as chains of SKBs for the same TCP
> connection with modified header field. We have seen a lower CPU load and
> improved throughput for small numbers of parallel TCP connections.
> As this feature is considered as experimental it is switched off by default
> and can be activated via a module parameter.
> 
> Some additional security checks have been added since the last posting.
> 
> Signed-off-by: Jan-Bernd Themann <[email-masked]>

as noted in comments, we don't need to recreate this in every driver. 
do something more generic.